#include "user.h"
#include "disp.h"

#define fr_div_set		PG0
#define fr_div_clr		PG1

#define	att_set			PD6
#define att_clr			PD7

#define clk_mcu			PD5
#define r_w				PD4

#define run 			PG4

#define inp_sel			PG2
#define sync_sw_pin		PF3
#define sync_h_l		PG3


#define on	1
#define off	0


//   
void run_osc (void);
void mcu_clk_imp(void);

//     
//	
void freq_div_sel(unsigned char f_d);
void att_sel(unsigned char d);

void inp_sw(unsigned char k_inp_sw);
void sync_sw(unsigned char k_sync_sw);


void sinc_on_off(unsigned char k_s);
void sinc_on_off_ind(unsigned char k_s);

void v_d_ind (unsigned char k_att);
void f_d_ind (unsigned char k_fr_div);
void h_l_sync (unsigned char k_h_l);

//      
unsigned char max_arr(unsigned char arr[]);
unsigned char min_arr(unsigned char arr[]);
unsigned char av_arr(unsigned char arr[]);
unsigned char get_fr (unsigned char arr[]);

