#include <avr/io.h>             // -
#include <util/delay.h>     //   
#include <avr/interrupt.h>        //  
#include <avr/eeprom.h>      //   EEPROM
#include <avr/sleep.h>

#define WHITE   0xFFFF
#define BLACK   0x0000
#define RED 	0xF800
#define GREEN   0x7C0
#define gird_color   0xfca

#define LCD_CS	   PB0
#define LCD_RESET  PB6
#define LCD_MOSI   PB2
#define LCD_SCK    PB1


//----------------------------------------------------------------------------------------------
void gclcd_put_val_4dig(unsigned char pos_x,unsigned char pos_y,unsigned int val,unsigned char rot_);
void gclcd_put_val_3dig(unsigned char pos_x,unsigned char pos_y,unsigned int val,unsigned char rot_);
void gclcd_put_val_2dig(unsigned char pos_x,unsigned char pos_y,unsigned int val,unsigned char rot_);
void gclcd_put_txt (unsigned char pos_x,unsigned char pos_y,unsigned char txt[],unsigned char rot_);
void gclcd_put_val_4dig_1comma(unsigned char pos_x,unsigned char pos_y,unsigned int val,unsigned char rot_);
void gclcd_put_val_4dig_2comma(unsigned char pos_x,unsigned char pos_y,unsigned int val,unsigned char rot_);
void gclcd_put_val_4dig_3comma(unsigned char pos_x,unsigned char pos_y,unsigned int val,unsigned char rot_);
void gclcd_put_pixel(unsigned char x, unsigned char y, unsigned Color);
void glcdRectangle(unsigned char x, unsigned char y, unsigned char a, unsigned char b,unsigned int Color);

inline void gird (unsigned int girdcolor);
inline void axis (unsigned int girdcolor);
inline void bat_ch (unsigned int u_bat);
//inline void glcgLine (unsigned char a,unsigned char b,unsigned char c,unsigned char d,unsigned int Color);

inline void solid_beam_set(unsigned char x, unsigned char y1, unsigned char y2);
inline void solid_beam_clear(unsigned char x, unsigned char y1, unsigned char y2);

